{
  name: "Spoiled Goods",
  rating: 4,
  num: -21005,
  onModifyTypePriority: -1,
  onModifyType(move, pokemon) {
    const noModifyType = ["judgment", "multiattack", "naturalgift", "revelationdance", "technoblast", "terrainpulse", "weatherball"];
    if (move.type === "Grass" && !noModifyType.includes(move.id)) {
      move.type = "Poison";
      move.typeChangerBoosted = this.effect;
      move._spoiledGoodsBoost = true;
    }
  },
  onBasePowerPriority: 23,
  onBasePower(basePower, pokemon, target, move) {
    if (move.typeChangerBoosted === this.effect || move._spoiledGoodsBoost) return this.chainModify([4915, 4096]);
  }
}
